Bug 432262 - Review Request: flobopuyo - 2-player falling bubbles game
Review Request: flobopuyo - 2-player falling bubbles game
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ian Chapman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-10 12:43 EST by Andrea Musuruane
Modified: 2008-03-24 15:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-24 15:26:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
packages: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Andrea Musuruane 2008-02-10 12:43:25 EST
Spec URL: http://www.webalice.it/musuruan/RPMS/reviews/flobopuyo.spec
SRPM URL: http://www.webalice.it/musuruan/RPMS/reviews/flobopuyo-0.20-2.fc8.src.rpm
Description: A two-player falling bubbles game.  The goal is to make groups of four or more
Puyos (colored bubbles) to make them explode and send bad ghost Puyos to your
opponent.  You win the game if your opponent reaches the top of the board. You
can play against computer or another human.
Comment 1 Hans de Goede 2008-03-02 07:22:24 EST
Andrea, do you want to swap reviews with one of these? :

* lbrickbuster2 - popular brickbusting arcadegame from lgames - bug 435514
* lure - Lure of the Temptress - Adventure Game - bug 435564 
Comment 2 Ian Chapman 2008-03-22 19:33:38 EDT
* rpmlint: No Problems
* Package named correctly: Yes
* Patches named correctly: Yes
* Spec file named correctly: Yes
* Licence(s) acceptable: Yes
* Licence field matches: Not Quite (!!) See below
* Licence file installed: Yes and included upstream
* Spec file in American English: Yes
* Source matches upstream: Yes
* Locales use %find_lang: N/A
* Contains %clean: Yes
* %install contain rm -rf %{buildroot} or similar: Yes
* Specfile legible: Yes
* Compiles and builds ok: Yes (mock i386/ppc/x86_64 in devel)
* Calls ldconfig in %post/%postun for shlibs: N/A
* Owns directories it creates: Yes
* Duplicate files: No
* Permissions set correctly: Yes
* Consistent macro use: Generally yes (!!) see comments
* Separate -doc needed (for large docs): N/A
* %doc affects runtime: N/A
* Headers and static libs in -devel: N/A
* .pc files in -devel: N/A
* .so in -devel: N/A
* -devel requires base: N/A
* Contains .la files: N/A
* Owns files it didn't create: No
* .desktop files included and installed correctly: Yes
* Filenames valid UTF8: Yes


1. The files glSDL.h and glSDL.c are marked as LGPL, so the license field
might need to be:

# glSDL.h and glSDL.c are LGPL+, all others are GPLv2+
License:        GPLv2+ and LGPL+


2. Not a blocker, but macro usage could be improved a little, for example when
referring to the man page.


Damn, I was playing this game for over an hour, before I remembered I was in the
middle of a review! :-)
Comment 3 Andrea Musuruane 2008-03-23 05:33:33 EDT
Spec URL: http://www.webalice.it/musuruan/RPMS/reviews/flobopuyo.spec
SRPM URL: http://www.webalice.it/musuruan/RPMS/reviews/flobopuyo-0.20-2.fc8.src.rpm

changelog
* Sun Mar 23 2008 Andrea Musuruane <musuruan@gmail.com> 0.20-3
- Fixed License tag
- Improved macro usage

I had to change LGPL+ to LGPLv2+. Rpmlint was complaining for good. There is no
LGPLv1. BTW Good catch Ian!

Comment 4 Hans de Goede 2008-03-23 11:25:43 EDT
(In reply to comment #2)
> 1. The files glSDL.h and glSDL.c are marked as LGPL, so the license field
> might need to be:
> 
> # glSDL.h and glSDL.c are LGPL+, all others are GPLv2+
> License:        GPLv2+ and LGPL+
> 

Erm GPL trumps LGPL (as in the whole is distributed under the LGPL clause which
says LGPL may be converted to GPL if you wish) so the whole can only be
distributed under the GPL, and as such the license field should be just "GPLv2+"
Comment 5 Ian Chapman 2008-03-23 15:57:48 EDT
(In reply to comment #3)

> LGPLv1. BTW Good catch Ian!

Ugh, apparently not. BTW I think so you posted the wrong URL so I used.

http://www.webalice.it/musuruan/RPMS/reviews/flobopuyo-0.20-3.fc8.src.rpm

Looks good. No need to post another update, just revert the license back to
GPLv2+ (sorry!) before import. APPROVED.

Comment 6 Andrea Musuruane 2008-03-24 05:00:31 EDT
New Package CVS Request
=======================
Package Name: flobopuyo
Short Description: A two-player falling bubbles game.  The goal is to make
groups of four or more
Owners: musuruan
Branches: F-7 F-8
InitialCC:
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2008-03-24 12:52:48 EDT
I assume the description here should be "A two-player falling bubbles game".
If thats not the case, reset the fedora-cvs flag and I will update it. 

cvs done.

Note You need to log in before you can comment on or make changes to this bug.